> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# アノテーションキュー作成

> 新しいannotation queueを作成します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /annotation_queues
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /annotation_queues:
    post:
      tags:
        - Annotation Queues
      summary: アノテーションキュー作成
      description: 新しいannotation queueを作成します。
      operationId: annotation_queue_create_annotation_queues_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnnotationQueueCreateReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationQueueCreateRes'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    AnnotationQueueCreateReq:
      additionalProperties: false
      description: 新しいアノテーションキューを作成するためのリクエスト。
      properties:
        description:
          default: ''
          examples:
            - Review calls with exceptions
          title: Description
          type: string
        name:
          examples:
            - Error Review Queue
          title: Name
          type: string
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
        scorer_refs:
          examples:
            - - weave:///entity/project/scorer/error_severity:abc123
              - weave:///entity/project/scorer/resolution_quality:def456
          items:
            type: string
          title: Scorer Refs
          type: array
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 直接設定しないでください。サーバーがこのフィールドを自動的に設定します。
          title: Wb User Id
      required:
        - project_id
        - name
        - scorer_refs
      title: AnnotationQueueCreateReq
      type: object
    AnnotationQueueCreateRes:
      description: アノテーションキューの作成時のレスポンス。
      properties:
        id:
          title: Id
          type: string
      required:
        - id
      title: AnnotationQueueCreateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````